Bug 103447 - Missing BuildRequires for libpng-devel
Missing BuildRequires for libpng-devel
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: xawtv (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-30 13:04 EDT by Dams
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-01 11:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2003-08-30 13:04:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
[anvil@gruyere ~]# rpmbuild --rebuild xawtv-3.88-4.src.rpm
[SNIP]
  CC      common/vbi-data.o
  LD      console/scantv
/usr/bin/ld: cannot find -lpng
collect2: ld returned 1 exit status
make: *** [console/scantv] Error 1
erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.35275 (%build)

rebuild is succesful if libpng-devel is installed.
Please add 'BuildRequires:libpng-devel' in spec file.

Version-Release number of selected component (if applicable):
xawtv-3.88-4

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild

    

Additional info:
Comment 1 Ngo Than 2003-09-01 11:24:48 EDT
It's fixed in 3.88-5. Thanks for your report

Note You need to log in before you can comment on or make changes to this bug.